Rysunek Techniczny: Wstaw adnotację

From FreeCAD Documentation
Revision as of 18:19, 21 July 2023 by Kaktus (talk | contribs) (Created page with "{{Caption|Modyfikowanie adnotacji za pomocą edytora właściwości.}}")

Rysunek Techniczny: Wstaw adnotację

Lokalizacja w menu
TechDraw → Adnotacje → Wstaw adnotację
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Adnotacja wieloliniowa, Kształt z tekstu

Opis

Narzędzie Wstaw adnotację dodaje blok tekstu do strony rysunku.

Adnotacja na stronie rysunku.

Użycie

  1. Jeśli w dokumencie znajduje się wiele stron rysunku, należy wybrać żądaną stronę w oknie drzewa.
  2. Naciśnij przycisk Wstaw adnotację.
  3. Na stronie pojawi się blok tekstowy zawierający Tekst domyślny. Użyj edytora właściwości, aby dostosować tekst. Przeciągnij adnotację do wymaganej pozycji.
  4. Może być konieczne naciśnięcie przycisku Odśwież i/lub Przerysuj stronę, aby zobaczyć zmianę tekstu.

Modyfikowanie adnotacji za pomocą edytora właściwości.


Note: some characters interfere with the internal representation of the Annotation text. Specifically, these are the double quote ", less than <, and greater than > symbols; these must be replaced by HTML escape characters, &quot;, &lt;, and &gt; respectively. See Character encodings in HTML for details.

Properties

The Annotation inherits all applicable basic View properties except DANEScale. Use the DANETextSize property instead.

  • DANEText: The text to be displayed.
  • DANEFont: The name of the font to use. Annotation will use the best match of installed fonts.
  • DANETextColor: The color of the text.
  • DANETextSize: The size of the text in mm.
  • DANEMaxWidth: The maximum width of the Annotation block. -1 indicates no maximum width.
  • DANELineSpace: Line spacing adjustment (%).
  • DANETextStyle: "Normal", "Bold", "Italic", "Bold-Italic"

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The New Annotation tool can be used in macros and from the Python console by using the following functions:

anno = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewAnnotation','TestAnno')
anno.Text = ['Different Text']
anno.TextStyle = 'Bold'
rc = page.addView(anno)

Notes